/*
 * Created on Feb 28, 2006
 *
 * This class is used to model input for the coallocation algorithm. 
 * Each job description is associated with a list of approved (and ranked) 
 * resources and a job preferences document. The job preferences document
 * may be null.
 *
 */
package se.umu.jobsubmission.impl.submitter;

import java.util.List; 

import org.ggf.schemas.jsdl._2005._11.jsdl.JobDefinition_Type;

import se.umu.jobsubmission.JobPreferencesType;
import se.umu.reservation.ReservationInfo; 


/**
 * @author tordsson
 *
 */
public class CoallocationInputEntry {
	
	private JobDefinition_Type jobDescription; 
	private List rankedResources; 
	private JobPreferencesType jobPreferences; 
	private ReservationInfo reservation; 
	
	/**
	 * Default constructor 
	 */
	public CoallocationInputEntry() {
		this.jobDescription = null; 
		this.rankedResources = null; 
		this.jobPreferences = null; 
		this.reservation = null; 
	}
	
	/**
	 * @param jobDescription
	 * @param rankedResources
	 * @param jobPreferences
	 */
	public CoallocationInputEntry(JobDefinition_Type jobDescription,
			List rankedResources, 
			JobPreferencesType jobPreferences,
			ReservationInfo reservation) {
		super();
		this.jobDescription = jobDescription;
		this.rankedResources = rankedResources;
		this.jobPreferences = jobPreferences;
		this.reservation = reservation; 
	}
	/**
	 * @return Returns the jobDescription.
	 */
	public JobDefinition_Type getJobDescription() {
		return jobDescription;
	}
	/**
	 * @param jobDescription The jobDescription to set.
	 */
	public void setJobDescription(JobDefinition_Type jobDescription) {
		this.jobDescription = jobDescription;
	}
	/**
	 * @return Returns the jobPreferences.
	 */
	public JobPreferencesType getJobPreferences() {
		return jobPreferences;
	}
	/**
	 * @param jobPreferences The jobPreferences to set.
	 */
	public void setJobPreferences(JobPreferencesType jobPreferences) {
		this.jobPreferences = jobPreferences;
	}
	/**
	 * @return Returns the rankedResources.
	 */
	public List getRankedResources() {
		return rankedResources;
	}
	/**
	 * @param rankedResources The rankedResources to set.
	 */
	public void setRankedResources(List rankedResources) {
		this.rankedResources = rankedResources;
	}
		/**
	 * @return Returns the currentReservation.
	 */
	public ReservationInfo getReservation() {
		return reservation;
	}
	/**
	 * @param currentReservation The currentReservation to set.
	 */
	public void setReservation(ReservationInfo reservation) {
		this.reservation = reservation;
	}
}
